#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    conjure_object::private::DeriveWith
)]
#[serde(crate = "conjure_object::serde")]
#[derive_with(PartialEq, Eq, PartialOrd, Ord, Hash)]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct FrequencyPlotTypeNyquist {
    #[builder(
        default,
        custom(
            type = impl
            Into<Option<super::super::super::compute::api::StftOptions>>,
            convert = |v|v.into().map(Box::new)
        )
    )]
    #[serde(rename = "stftOptions", skip_serializing_if = "Option::is_none", default)]
    stft_options: Option<Box<super::super::super::compute::api::StftOptions>>,
}
impl FrequencyPlotTypeNyquist {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new() -> Self {
        Self::builder().build()
    }
    #[inline]
    pub fn stft_options(
        &self,
    ) -> Option<&super::super::super::compute::api::StftOptions> {
        self.stft_options.as_ref().map(|o| &**o)
    }
}
